## org.gjt.sp.jedit.gui
Interface DockableWindowContainer

All Known Implementing Classes:
  FloatingWindowContainer, PanelWindowContainer

public interface DockableWindowContainer

A container for dockable windows. This class should never be used directly.

Since:
  jEdit 2.6pre3
Version:
  $Id: DockableWindowContainer.java,v 1.8 2003/05/07 22:40:00 spestov Exp $
Author:
  Slava Pestov

Method Summary
`boolean` `isVisible(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` `register(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` `remove(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` `show(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` `unregister(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`

Method Detail

### register

    public void register(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

### remove

    public void remove(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

### unregister

    public void unregister(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

### show

    public void show(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

### isVisible

    public boolean isVisible(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)